<template>
  <div class="q-py-sm">
    <q-item-label
      header
      class="q-pt-none q-pb-sm text-subtitle1"
    >
      <span
        :class="{ 'text-bold': bold }"
      >
        {{ label }}
      </span>
    </q-item-label>
    <div
      class="npk-result row q-gutter-y-xs q-px-md q-mx-lg"
    >
      <NPKBadge
        :element-id="npkElement.chemical_element_id"
        :formula-id="npkElement.chemical_formula_id"
        :quantity="npkElement.quantity"
        :deemphasize="deemphasize"
      />
    </div>
  </div>
</template>

<script>
import NPKBadge from 'src/components/npk/NPKBadge'

export default {
  name: 'RequafertiResultItem',
  components: {
    NPKBadge
  },
  props: {
    npkElement: {
      type: Object,
      required: true
    },
    label: {
      type: String,
      required: true
    },
    bold: {
      type: Boolean,
      default: false
    },
    deemphasize: {
      type: Boolean,
      default: false
    }
  }
}
</script>
